#ifndef HEADER_42EEF55C4710E3C8
#define HEADER_42EEF55C4710E3C8

/***************************************************************
 * Name:      wx001Main.h
 * Purpose:   Defines Application Frame
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-04-04
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifndef WX001MAIN_H
#define WX001MAIN_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

//#include "wx001App.h"

class wx001Frame: public wxFrame
{
    public:
        wx001Frame(wxFrame *frame, const wxString& title);
        ~wx001Frame();
    private:
        bool marca;
        int radio;
        wxMenu *popupMenu;
        enum
        {
            idMenuQuit = 1000,
            idMenuAbrir,
            idMenuGuardar,
            idMenuAbout,
            idMenuCheck,
            idMenuRadio1,
            idMenuRadio2,
            idMenuRadio3,
            idOpcion1,
            idOpcion2,
            idOpcion3
        };
        void OnClose(wxCloseEvent& event);
        void OnQuit(wxCommandEvent& event);
        void OnCheck(wxCommandEvent& event);
        void OnRadio(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnContextMenu(wxContextMenuEvent& event);
        DECLARE_EVENT_TABLE()
};


#endif // WX001MAIN_H
#endif // header guard

