/***************************************************************
 * Name:      wx001App.cpp
 * Purpose:   Code for Application Class
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-04-04
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#include "wx001App.h"
#include "wx001Main.h"
#include "logo_peq.xpm"

IMPLEMENT_APP(wx001App);

bool wx001App::OnInit()
{
    wx001Frame* frame = new wx001Frame(0L, _("wxWidgets, ejemplo 1"));
    frame->SetIcon(logo); // To Set App Icon
    frame->Show();

    return true;
}
